#ifndef RDC_BASIC_TYPE
#define RDC_BASIC_TYPE
/*
*File Name          :local_basic_type.h
*Function           :define basic type
*Author             :East Japan Accounting Center Co.,Ltd. 
*                   :(c)2017 The University of Aizu
*License            :This software is released under the New BSD License.
*Date               :2015-11-26
*Last-modified      :2015-11-26
*History log        :new
*/

/********************************************************************************************/
/*                      	User Type Declaration                                   		*/
/********************************************************************************************/
typedef unsigned char			ubyte_type;			/* unsigned  8-bit integer				*/
typedef unsigned short int		uhword_type;		/* unsigned 16-bit integer				*/
typedef unsigned long int		uword_type;			/* unsigned 32-bit integer				*/
typedef unsigned long long int	udword_type;		/* unsigned 64-bit integer				*/

typedef signed char				sbyte_type;			/* signed  8-bit integer 				*/
typedef signed short int		shword_type;		/* signed 16-bit integer				*/
typedef signed long int			sword_type;			/* signed 32-bit integer				*/
typedef signed long long int	sdword_type;		/* signed 64-bit integer				*/

typedef	float					float_type;			/* 32-bit floating point number			*/
typedef	double					double_type;		/* 64-bit floating point number 		*/

typedef char					char_type;			/* Character 							*/
typedef wchar_t					wchar_type;

typedef bool					bool_type;			/* bool		 							*/


#define RESULT_NG				(0)
#define RESULT_OK				(1)

#endif

